%global git_tag 57989ad4b0ade4c261037ebe4c166e9f8090317e 
%global git_short_tag %(c=%{git_tag}; echo ${c:0:7})

Name:		eclipse-xpand
Version:	2.1.0
Release:	3.git%{git_short_tag}%{?dist}
Summary:	Xpand is a statically-typed template language
License:	EPL
URL:		https://eclipse.org/modeling/m2t/?project=xpand

Source0:	https://git.eclipse.org/c/m2t/org.eclipse.xpand.git/snapshot/org.eclipse.xpand-%{git_tag}.zip

BuildArch:	noarch

BuildRequires:	tycho
BuildRequires:	tycho-extras
BuildRequires:	guava
BuildRequires:	icu4j
BuildRequires:	antlr32-java
BuildRequires:	apache-commons-logging
BuildRequires:	eclipse-platform >= 1:4.4
BuildRequires:	eclipse-emf-runtime
BuildRequires:	eclipse-jdt
BuildRequires:	eclipse-mdt-uml2
BuildRequires:	eclipse-xsd
BuildRequires:	eclipse-cdt
BuildRequires:	eclipse-emf-mwe
BuildRequires:	maven-local

# Explicitly versioned requirement to ensure we get the right antlr
Requires: osgi(org.antlr.runtime) = 3.2.0

%description
Xpand is a language specialized on code generation based on EMF models

%prep
%setup -q -n org.eclipse.xpand-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

pushd maven/org.eclipse.xpand.parent
%pom_remove_plugin org.eclipse.tycho:target-platform-configuration
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin
popd

%build
%mvn_build -j -- -f maven/org.eclipse.xpand.parent/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.xpand-feature/epl-v10.html

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3.git57989ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Mat Booth <mat.booth@redhat.com> - 2.1.0-2.git57989ad
- Add explicitly versioned requirement on antlr runtime

* Tue Nov 17 2015 Sopot Cela <scela@redhat.com> - 2.1.0-1.0.git57989ad
- Initial packaging
